QGIS Application - Bug report #9323
QGIS Processing Options python error on windows8
2014-01-13 03:42 AM - José Alves

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 17930
Description

Hello, im a forestry student from Portugal, that started working now with a company and used ArcGIS and IDRISI as SIGs. First of all i'd
like to thank you for making this software and congratulate you on the great looks you managed to achieve.

| started trying to work with QGIS for a few days now and even though | manage to import shapefiles and calculate areas, that's all i can
do. At the start i though it was a plugin issue and starting searching for similar issues but had no luck.

That said i have 2 questions | hope that you can help me:

1) Everytime | open the processing options and click OK to validate anything (even the base options one) i get a error that looks like this
[IMG]http://i40.tinypic.com/1628nig.png[/IMG] (i will update a file with the text if anyone wants).

I have no clue about why it is happening, i still have ArcGIS 10.1 and IDRISI Selva installed maybe making the python versions collapse?
2) This one may be correlated and if it is answered anywhere else please direct me to it but i can't seem to find stuff like SEXTANTE and
plugins that i see everywhere to download from QGIS, do i have to do it manually or is there a issue with me version? And in case i have to
do it manually how do i do it?

Thanks in advance and have a good day

José Alves

History

#1 - 2014-01-13 03:59 AM - Richard Duivenvoorde

- Category set to 94

- Assignee set to Victor Olaya

Hi José,

the main issue is that the python code of processing is not handling utf8 correctly (as seen from the error in your screendump).

Not sure what at that moment is the value that is creating the error. It could be a property of your data (containing non ascii chars), it could be your name

'José' is part of the path where QGIS places the python plugins (and processing plugin). The python code is casting to str (ascii string) which is not

possible for the non ascii chars.

So the python code of processing/sextante is to be updated. I'll assign this issue to Victor.

#2 - 2014-01-30 11:34 PM - Paolo Cavallini
- Target version changed from Version 2.0.0 to Future Release - High Priority
#3 - 2014-03-24 11:20 AM - Alexander Bruy
- Operating System deleted (Windows)

- OS version deleted (8)

- Status changed from Open to Feedback

Please check with latest master (after d86a9aa51f)

#4 - 2014-06-23 04:47 AM - Giovanni Manghi
- Status changed from Feedback to Closed

- Resolution set to worksforme

closing for lack of feedback.

#5 - 2015-06-07 04:30 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

Files

python_error.png

2025-04-27

114 KB

2014-01-13

José Alves

22



